Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.data
Interface RawData

public interface RawData

This defines a Java interface for a potentially large piece of data (incoming message stored in the repository) which can be a process variable. The main purpose for using this interface (as opposed to a Java byte array) is to avoid having to read the entire message into memory to perform useful operations (XT transformations, forwarding, etc) on it.

Nested Class Summary
`static class` | `RawData.Factory` Static factory class for creating new instances of RawData

Method Summary
`byte[]` | `byteValue()` Returns the data stored as a byte array
`InputStream` | `newInputStream()` Returns more effecient access to the data stored in this object.
`String` | `stringValue()` Serializes the Binary object into a String.
`String` | `stringValue(String enc)` Serializes the data with a specified Java encoding.

Method Detail

### stringValue

    public String stringValue()
                       throws RawDataRuntimeException

  Serializes the Binary object into a String. This uses the default encoding to convert the bytes to a String. May return a garbage string if the data is not encoded correctly.

  Returns:
    the String representation of the Binary document.
  Throws:
    `RawDataRuntimeException`

### stringValue

    public String stringValue(String enc)
                       throws UnsupportedEncodingException,
                              RawDataRuntimeException

  Serializes the data with a specified Java encoding.

  Returns:
    the String representation of the Binary document.
  Throws:
    `UnsupportedEncodingException`
    `RawDataRuntimeException`

### byteValue

    public byte[] byteValue()
                     throws RawDataRuntimeException

  Returns the data stored as a byte array

  Returns:
    the bytes contained in this data object.
  Throws:
    `RawDataRuntimeException`

### newInputStream

    public InputStream newInputStream()
                               throws IOException

  Returns more effecient access to the data stored in this object.

  Returns:
    an InputStream which contains the data.
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD